PipeWire: pw_impl_client_events Struct Reference

PipeWire 0.3.25

Data Fields
pw_impl_client_events Struct Reference

The events that a client can emit. More...

## Data Fields
uint32_t | version
void(* | destroy )(void *data)
| emitted when the client is destroyed More...
void(* | free )(void *data)
| emitted right before the client is freed More...
void(* | initialized )(void *data)
| the client is initialized More...
void(* | info_changed )(void *data, const struct pw_client_info *info)
| emitted when the client info changed More...
void(* | resource_added )(void *data, struct pw_resource *resource)
| emitted when a new resource is added for client More...
void(* | resource_removed )(void *data, struct pw_resource *resource)
| emitted when a resource is removed More...
void(* | busy_changed )(void *data, bool busy)
| emitted when the client becomes busy processing an asynchronous message. More...

## Detailed Description

The events that a client can emit.

## Field Documentation

## ◆ busy_changed

void(* pw_impl_client_events::busy_changed) (void *data, bool busy)

emitted when the client becomes busy processing an asynchronous message.

In the busy state no messages should be processed. Processing should resume when the client becomes not busy

## ◆ destroy

void(* pw_impl_client_events::destroy) (void *data)

emitted when the client is destroyed

## ◆ free

void(* pw_impl_client_events::free) (void *data)

emitted right before the client is freed

## ◆ info_changed

void(* pw_impl_client_events::info_changed) (void *data, const struct pw_client_info *info)

emitted when the client info changed

## ◆ initialized

void(* pw_impl_client_events::initialized) (void *data)

the client is initialized

## ◆ resource_added

void(* pw_impl_client_events::resource_added) (void *data, struct pw_resource *resource)

emitted when a new resource is added for client

## ◆ resource_removed

void(* pw_impl_client_events::resource_removed) (void *data, struct pw_resource *resource)

emitted when a resource is removed

## ◆ version

uint32_t pw_impl_client_events::version

The documentation for this struct was generated from the following file:

- impl-client.h